AbstractIncludeExcludeRenderer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.rest.render
[Groovy] Class AbstractIncludeExcludeRenderer

    java.lang.Object
      grails.rest.render.AbstractRenderer
          grails.rest.render.AbstractIncludeExcludeRenderer

    @groovy.transform.CompileStatic
    abstract class AbstractIncludeExcludeRenderer
    extends AbstractRenderer

Abstract class for implementing renderers that include/exclude certain properties

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`java.util.List` | `excludes`
`IncludeExcludeSupport` | `includeExcludeSupport`
`java.util.List` | `includes`

Constructor Summary
`AbstractIncludeExcludeRenderer(java.lang.Class targetType, MimeType mimeType)`
`AbstractIncludeExcludeRenderer(java.lang.Class targetType, MimeType[] mimeTypes)`

Method Summary
`boolean` | `excludesProperty(java.lang.Object object, java.lang.String property)`
`boolean` | `includesProperty(java.lang.Object object, java.lang.String property)`
`boolean` | `shouldIncludeProperty(RenderContext renderContext, java.lang.Object object, java.lang.String property)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### excludes

    java.util.List excludes

### includeExcludeSupport

    IncludeExcludeSupport includeExcludeSupport

### includes

    java.util.List includes

Constructor Detail

### AbstractIncludeExcludeRenderer

    AbstractIncludeExcludeRenderer(java.lang.Class targetType, MimeType mimeType)

### AbstractIncludeExcludeRenderer

    AbstractIncludeExcludeRenderer(java.lang.Class targetType, MimeType[] mimeTypes)

Method Detail

### excludesProperty

    boolean excludesProperty(java.lang.Object object, java.lang.String property)

### includesProperty

    boolean includesProperty(java.lang.Object object, java.lang.String property)

### shouldIncludeProperty

    boolean shouldIncludeProperty(RenderContext renderContext, java.lang.Object object, java.lang.String property)

Groovy Documentation